VSTGUI: ViewMouseListenerAdapter Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ViewMouseListenerAdapter Class Reference
New classes » Version 4.7

View Mouse Listener Interface Adapter. More...

`#include <iviewlistener.h>`

Inheritance diagram for ViewMouseListenerAdapter:

## Public Member Functions
CMouseEventResult | viewOnMouseDown (CView *view, CPoint pos, CButtonState buttons) override
CMouseEventResult | viewOnMouseUp (CView *view, CPoint pos, CButtonState buttons) override
CMouseEventResult | viewOnMouseMoved (CView *view, CPoint pos, CButtonState buttons) override
CMouseEventResult | viewOnMouseCancel (CView *view) override
void | viewOnMouseEntered (CView *view) override
void | viewOnMouseExited (CView *view) override
void | viewOnMouseEnabled (CView *view, bool state) override
Public Member Functions inherited from IViewMouseListener
virtual | ~IViewMouseListener () noexcept=default

## Detailed Description

View Mouse Listener Interface Adapter.

## Member Function Documentation

## ◆ viewOnMouseCancel()

CMouseEventResult viewOnMouseCancel | ( | CView * | view | ) |
| inlineoverridevirtual

Implements IViewMouseListener.

## ◆ viewOnMouseDown()

CMouseEventResult viewOnMouseDown | ( | CView * | view,
|  | CPoint | pos,
|  | CButtonState | buttons )
| inlineoverridevirtual

Implements IViewMouseListener.

## ◆ viewOnMouseEnabled()

void viewOnMouseEnabled | ( | CView * | view,
|  | bool | state )
| inlineoverridevirtual

Implements IViewMouseListener.

## ◆ viewOnMouseEntered()

void viewOnMouseEntered | ( | CView * | view | ) |
| inlineoverridevirtual

Implements IViewMouseListener.

## ◆ viewOnMouseExited()

void viewOnMouseExited | ( | CView * | view | ) |
| inlineoverridevirtual

Implements IViewMouseListener.

## ◆ viewOnMouseMoved()

CMouseEventResult viewOnMouseMoved | ( | CView * | view,
|  | CPoint | pos,
|  | CButtonState | buttons )
| inlineoverridevirtual

Implements IViewMouseListener.

## ◆ viewOnMouseUp()

CMouseEventResult viewOnMouseUp | ( | CView * | view,
|  | CPoint | pos,
|  | CButtonState | buttons )
| inlineoverridevirtual

Implements IViewMouseListener.

The documentation for this class was generated from the following file:

- iviewlistener.h